commit e80da3c958bf2636abfb4e0e2b1874836f976531
Author: freddy77 <freddy77>
Date:   Fri Feb 12 10:16:16 2010 +0000

    remove some warnings compiling for windows

diff --git a/ChangeLog b/ChangeLog
index 6cee56c..29d0c45 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Fri Feb 12 11:15:46 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tdsthread.h src/dblib/bcp.c src/tds/sspi.c:
+	* src/tds/win_mutex.c:
+	- remove some warnings compiling for windows
+
 Fri Feb 12 10:04:15 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/describecol.c:
 	- additional check for SQLDescribeCol length
@@ -2321,4 +2326,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2990 2010/02/12 09:04:58 freddy77 Exp $
+$Id: ChangeLog,v 1.2991 2010/02/12 10:16:16 freddy77 Exp $
diff --git a/include/tdsthread.h b/include/tdsthread.h
index b4249f1..92a17b8 100644
--- a/include/tdsthread.h
+++ b/include/tdsthread.h
@@ -22,7 +22,7 @@
 #ifndef TDSTHREAD_H
 #define TDSTHREAD_H 1
 
-/* $Id: tdsthread.h,v 1.6 2010/01/28 13:31:51 freddy77 Exp $ */
+/* $Id: tdsthread.h,v 1.7 2010/02/12 10:16:17 freddy77 Exp $ */
 
 #undef TDS_HAVE_MUTEX
 
@@ -38,8 +38,10 @@
 
 #elif defined(_WIN32)
 
+struct ptw32_mcs_node_t_;
+
 typedef struct tds_win_mutex_t_ {
-	void *lock;
+	struct ptw32_mcs_node_t_ *lock;
 	LONG done;
 	CRITICAL_SECTION crit;
 } tds_win_mutex_t;
diff --git a/src/dblib/bcp.c b/src/dblib/bcp.c
index 76bc931..c0c4a30 100644
--- a/src/dblib/bcp.c
+++ b/src/dblib/bcp.c
@@ -62,7 +62,7 @@
 #define MAX(a,b) ( (a) > (b) ? (a) : (b) )
 #endif
 
-TDS_RCSID(var, "$Id: bcp.c,v 1.193 2010/01/27 23:15:39 freddy77 Exp $");
+TDS_RCSID(var, "$Id: bcp.c,v 1.194 2010/02/12 10:16:17 freddy77 Exp $");
 
 #ifdef HAVE_FSEEKO
 typedef off_t offset_type;
@@ -70,10 +70,10 @@ typedef off_t offset_type;
 /* win32 version */
 typedef __int64 offset_type;
 # if defined(HAVE__FSEEKI64) && defined(HAVE__FTELLI64)
-#  define fseeko(f,o,w) (_fseeki64((f),o,w) == -1)
+#  define fseeko(f,o,w) _fseeki64((f),o,w)
 #  define ftello(f) _ftelli64((f))
 # else
-#  define fseeko(f,o,w) (_lseeki64(fileno(f),o,w) == -1)
+#  define fseeko(f,o,w) (_lseeki64(fileno(f),o,w) == -1 ? -1 : 0)
 #  define ftello(f) _telli64(fileno(f))
 # endif
 #else
diff --git a/src/tds/sspi.c b/src/tds/sspi.c
index 89c4222..d20dbfa 100644
--- a/src/tds/sspi.c
+++ b/src/tds/sspi.c
@@ -46,7 +46,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: sspi.c,v 1.7 2010/01/28 10:07:18 freddy77 Exp $");
+TDS_RCSID(var, "$Id: sspi.c,v 1.8 2010/02/12 10:16:17 freddy77 Exp $");
 
 /**
  * \ingroup libtds
@@ -251,10 +251,7 @@ tds_sspi_get_auth(TDSSOCKET * tds)
 	/* build SPN */
 	server_name = tds_dstr_cstr(&connection->server_host_name);
 	if (strchr(server_name, '.') == NULL) {
-		struct hostent result;
-		int h_errnop;
-
-		struct hostent *host = tds_gethostbyname_r(server_name, &result, auth->tds_auth.packet, NTLMBUF_LEN, &h_errnop);
+		struct hostent *host = gethostbyname(server_name);
 		if (host && strchr(host->h_name, '.') != NULL)
 			server_name = host->h_name;
 	}
diff --git a/src/tds/win_mutex.c b/src/tds/win_mutex.c
index c1bba58..98be970 100644
--- a/src/tds/win_mutex.c
+++ b/src/tds/win_mutex.c
@@ -34,7 +34,7 @@
 #include "tds.h"
 #include "tdsthread.h"
 
-TDS_RCSID(var, "$Id: win_mutex.c,v 1.1 2010/01/27 15:32:04 freddy77 Exp $");
+TDS_RCSID(var, "$Id: win_mutex.c,v 1.2 2010/02/12 10:16:17 freddy77 Exp $");
 
 #include "ptw32_MCS_lock.c"
 
@@ -44,7 +44,7 @@ tds_win_mutex_lock(tds_win_mutex_t * mutex)
 	if (!InterlockedExchangeAdd(&mutex->done, 0)) {	/* MBR fence */
 		ptw32_mcs_local_node_t node;
 
-		ptw32_mcs_lock_acquire((ptw32_mcs_lock_t *) &mutex->lock, &node);
+		ptw32_mcs_lock_acquire(&mutex->lock, &node);
 		if (!mutex->done) {
 			InitializeCriticalSection(&mutex->crit);
 			mutex->done = 1;

